package cn.com.qmth.examcloud.core.basic.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.query.QueryByExampleExecutor;

import cn.com.qmth.examcloud.core.basic.dao.entity.Privilege;

public interface PrivilegeRepo
		extends
			JpaRepository<Privilege, Long>,
			QueryByExampleExecutor<Privilege>,
			JpaSpecificationExecutor<Privilege> {

	List<Privilege> findAllByGroupId(Long groupId);

	List<Privilege> findAllByIdIn(List<Long> idList);

}
